sayren Docs
상점 설정

결제 설정 조회

결제 도메인과 지원하는 모든 PG의 연결 상태(간편결제 포함)를 조회한다. 비밀 값(시크릿 키·API Secret·웹훅 시크릿)은 앞 4자리 마스킹만 나오고 평문은 어떤 응답에도 없다. 상점 플랫폼에 로그인한 **OWNER 전용**이다. ADMIN·STAFF, API 토큰(PAT), M2M 클라이언트, 3rd-party 앱이 위임받은 토큰은 스코프가 있어도 `403 INSUFFICIENT_ROLE`이다.

GET
/v1/store/payment-settings

결제 도메인과 지원하는 모든 PG의 연결 상태(간편결제 포함)를 조회한다. 비밀 값(시크릿 키·API Secret·웹훅 시크릿)은 앞 4자리 마스킹만 나오고 평문은 어떤 응답에도 없다. 상점 플랫폼에 로그인한 OWNER 전용이다. ADMIN·STAFF, API 토큰(PAT), M2M 클라이언트, 3rd-party 앱이 위임받은 토큰은 스코프가 있어도 403 INSUFFICIENT_ROLE이다.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/store/payment-settings' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "checkoutOrigins": [      "string"    ],    "providers": [      {        "provider": "tosspayments",        "displayName": "string",        "connected": true,        "enabled": true,        "priority": 0,        "environment": "TEST",        "publicConfig": {          "clientKey": "string"        },        "secrets": [          {            "field": "string",            "configured": true,            "masked": "string"          }        ],        "lastVerification": {          "result": "SUCCESS",          "message": "string",          "checkedAt": "string"        },        "updatedAt": "string",        "sandboxMode": true,        "credentialSets": {          "TEST": {            "environment": "TEST",            "publicConfig": {              "clientKey": "string"            },            "secrets": [              {                "field": "string",                "configured": true,                "masked": "string"              }            ],            "lastVerification": {              "result": "SUCCESS",              "message": "string",              "checkedAt": "string"            },            "updatedAt": "string"          },          "LIVE": {            "environment": "TEST",            "publicConfig": {              "clientKey": "string"            },            "secrets": [              {                "field": "string",                "configured": true,                "masked": "string"              }            ],            "lastVerification": {              "result": "SUCCESS",              "message": "string",              "checkedAt": "string"            },            "updatedAt": "string"          }        },        "liveGate": {          "status": "LOCKED",          "conditions": [            {              "code": "TEST_CONNECTION",              "met": true,              "message": "string"            }          ],          "openedAt": "string"        },        "easyPayProviders": [          "string"        ],        "retiredCredentialCount": 0,        "routingExclusion": null      }    ],    "environment": "TEST",    "candidates": [],    "warnings": []  },  "error": null}